function _swift_infat_using_command
    set -l cmd (commandline -opc)
    if [ (count $cmd) -eq (count $argv) ]
        for i in (seq (count $argv))
            if [ $cmd[$i] != $argv[$i] ]
                return 1
            end
        end
        return 0
    end
    return 1
end
complete -c infat -n '_swift_infat_using_command infat' -f -r -s c -l config -d 'Path to the configuration file.'
complete -c infat -n '_swift_infat_using_command infat' -f -s v -l verbose -d 'Enable verbose logging.'
complete -c infat -n '_swift_infat_using_command infat' -f -s q -l quiet -d 'Quiet output.'
complete -c infat -n '_swift_infat_using_command infat' -f -l robust -d 'Ignore missing app errors'
complete -c infat -n '_swift_infat_using_command infat' -f -l version -d 'Show the version.'
complete -c infat -n '_swift_infat_using_command infat' -f -s h -l help -d 'Show help information.'
complete -c infat -n '_swift_infat_using_command infat' -f -a 'info' -d 'Lists file association information.'
complete -c infat -n '_swift_infat_using_command infat' -f -a 'set' -d 'Sets an application association.'
complete -c infat -n '_swift_infat_using_command infat' -f -a 'init' -d 'Initalizes a config with the currently set associations'
complete -c infat -n '_swift_infat_using_command infat' -f -a 'help' -d 'Show subcommand help information.'
complete -c infat -n '_swift_infat_using_command infat info' -f -r -s a -l app -d 'Application name (e.g., \'Google Chrome\').'
complete -c infat -n '_swift_infat_using_command infat info' -f -r -s e -l ext -d 'File extension (without the dot, e.g., \'html\').'
complete -c infat -n '_swift_infat_using_command infat info' -f -r -s t -l type -d 'File type (e.g., text).'
complete -c infat -n '_swift_infat_using_command infat info -t' -f -k -a 'text plain-text utf8-plain-text utf16-plain-text utf16-external-plain-text rtf rtfd flat-rtfd delimited-text comma-separated-text tab-separated-text utf8-tab-separated-text json xml yaml vcard html web-archive image png jpeg gif tiff bmp svg webp heic heif live-photo raw-image dng exr jpeg-xl audio mp3 wav aiff midi mpeg4-audio apple-protected-mpeg4-audio playlist m3u-playlist video movie quicktime-movie mpeg mpeg2-video mpeg2-transport-stream mpeg4-movie apple-protected-mpeg4-video avi archive zip gzip bz2 tar-archive apple-archive source-code c-source c-header c++-source c++-header objective-c-source objective-c++-source swift-source assembly-language-source shell-script makefile javascript python-script ruby-script perl-script php-script apple-script osa-script osa-script-bundle data directory folder symbolic-link mount-point alias-file volume disk-image application-bundle framework executable unix-executable windows-executable 3d-content usd usdz reality-file scene-kit-scene ar-reference-object font pkcs12 x509-certificate url file-url url-bookmark-data property-list xml-property-list binary-property-list log bookmark internet-location internet-shortcut com.apple.ical.backup-package com.apple.default-app.web-browser com.apple.default-app.mail-client com.apple.m4v-video com.apple.m4a-audio com.adobe.postscript com.adobe.flash.video com.microsoft.word.doc com.microsoft.windows-media-wmv com.microsoft.windows-media-wma com.microsoft.advanced-systems-format io.iina.mkv io.iina.ape io.iina.wv io.iina.quicktime io.iina.ac3 io.iina.opus io.iina.mpeg-video io.iina.mpeg4-video io.iina.mpeg-audio io.iina.mpeg3-audio io.iina.mpeg-stream org.matroska.mkv org.matroska.mka org.xiph.flac org.xiph.ogg-audio org.webmproject.webm org.asciidoc net.ia.markdown public.ac3-audio public.aac-audio public.dv-movie public.mp2 public.avchd-mpeg-2-transport-stream public.3gpp public.3gpp2 com.real.realmedia com.real.realaudio com.real.realmedia-vbr io.iina.xm io.iina.wtv io.mpv.divx'
complete -c infat -n '_swift_infat_using_command infat info --type' -f -k -a 'text plain-text utf8-plain-text utf16-plain-text utf16-external-plain-text rtf rtfd flat-rtfd delimited-text comma-separated-text tab-separated-text utf8-tab-separated-text json xml yaml vcard html web-archive image png jpeg gif tiff bmp svg webp heic heif live-photo raw-image dng exr jpeg-xl audio mp3 wav aiff midi mpeg4-audio apple-protected-mpeg4-audio playlist m3u-playlist video movie quicktime-movie mpeg mpeg2-video mpeg2-transport-stream mpeg4-movie apple-protected-mpeg4-video avi archive zip gzip bz2 tar-archive apple-archive source-code c-source c-header c++-source c++-header objective-c-source objective-c++-source swift-source assembly-language-source shell-script makefile javascript python-script ruby-script perl-script php-script apple-script osa-script osa-script-bundle data directory folder symbolic-link mount-point alias-file volume disk-image application-bundle framework executable unix-executable windows-executable 3d-content usd usdz reality-file scene-kit-scene ar-reference-object font pkcs12 x509-certificate url file-url url-bookmark-data property-list xml-property-list binary-property-list log bookmark internet-location internet-shortcut com.apple.ical.backup-package com.apple.default-app.web-browser com.apple.default-app.mail-client com.apple.m4v-video com.apple.m4a-audio com.adobe.postscript com.adobe.flash.video com.microsoft.word.doc com.microsoft.windows-media-wmv com.microsoft.windows-media-wma com.microsoft.advanced-systems-format io.iina.mkv io.iina.ape io.iina.wv io.iina.quicktime io.iina.ac3 io.iina.opus io.iina.mpeg-video io.iina.mpeg4-video io.iina.mpeg-audio io.iina.mpeg3-audio io.iina.mpeg-stream org.matroska.mkv org.matroska.mka org.xiph.flac org.xiph.ogg-audio org.webmproject.webm org.asciidoc net.ia.markdown public.ac3-audio public.aac-audio public.dv-movie public.mp2 public.avchd-mpeg-2-transport-stream public.3gpp public.3gpp2 com.real.realmedia com.real.realaudio com.real.realmedia-vbr io.iina.xm io.iina.wtv io.mpv.divx'
complete -c infat -n '_swift_infat_using_command infat info' -f -s h -l help -d 'Show help information.'
complete -c infat -n '_swift_infat_using_command infat set' -f -r -s c -l config -d 'Path to the configuration file.'
complete -c infat -n '_swift_infat_using_command infat set' -f -s v -l verbose -d 'Enable verbose logging.'
complete -c infat -n '_swift_infat_using_command infat set' -f -s q -l quiet -d 'Quiet output.'
complete -c infat -n '_swift_infat_using_command infat set' -f -l robust -d 'Ignore missing app errors'
complete -c infat -n '_swift_infat_using_command infat set' -f -r -l ext -d 'A file extension without leading dot.'
complete -c infat -n '_swift_infat_using_command infat set' -f -r -l scheme -d 'A URL scheme. ex: mailto.'
complete -c infat -n '_swift_infat_using_command infat set' -f -r -l type -d 'A file class. ex: image'
complete -c infat -n '_swift_infat_using_command infat set --type' -f -k -a 'text plain-text utf8-plain-text utf16-plain-text utf16-external-plain-text rtf rtfd flat-rtfd delimited-text comma-separated-text tab-separated-text utf8-tab-separated-text json xml yaml vcard html web-archive image png jpeg gif tiff bmp svg webp heic heif live-photo raw-image dng exr jpeg-xl audio mp3 wav aiff midi mpeg4-audio apple-protected-mpeg4-audio playlist m3u-playlist video movie quicktime-movie mpeg mpeg2-video mpeg2-transport-stream mpeg4-movie apple-protected-mpeg4-video avi archive zip gzip bz2 tar-archive apple-archive source-code c-source c-header c++-source c++-header objective-c-source objective-c++-source swift-source assembly-language-source shell-script makefile javascript python-script ruby-script perl-script php-script apple-script osa-script osa-script-bundle data directory folder symbolic-link mount-point alias-file volume disk-image application-bundle framework executable unix-executable windows-executable 3d-content usd usdz reality-file scene-kit-scene ar-reference-object font pkcs12 x509-certificate url file-url url-bookmark-data property-list xml-property-list binary-property-list log bookmark internet-location internet-shortcut com.apple.ical.backup-package com.apple.default-app.web-browser com.apple.default-app.mail-client com.apple.m4v-video com.apple.m4a-audio com.adobe.postscript com.adobe.flash.video com.microsoft.word.doc com.microsoft.windows-media-wmv com.microsoft.windows-media-wma com.microsoft.advanced-systems-format io.iina.mkv io.iina.ape io.iina.wv io.iina.quicktime io.iina.ac3 io.iina.opus io.iina.mpeg-video io.iina.mpeg4-video io.iina.mpeg-audio io.iina.mpeg3-audio io.iina.mpeg-stream org.matroska.mkv org.matroska.mka org.xiph.flac org.xiph.ogg-audio org.webmproject.webm org.asciidoc net.ia.markdown public.ac3-audio public.aac-audio public.dv-movie public.mp2 public.avchd-mpeg-2-transport-stream public.3gpp public.3gpp2 com.real.realmedia com.real.realaudio com.real.realmedia-vbr io.iina.xm io.iina.wtv io.mpv.divx'
complete -c infat -n '_swift_infat_using_command infat set' -f -s h -l help -d 'Show help information.'
complete -c infat -n '_swift_infat_using_command infat init' -f -r -s c -l config -d 'Path to the configuration file.'
complete -c infat -n '_swift_infat_using_command infat init' -f -s v -l verbose -d 'Enable verbose logging.'
complete -c infat -n '_swift_infat_using_command infat init' -f -s q -l quiet -d 'Quiet output.'
complete -c infat -n '_swift_infat_using_command infat init' -f -l robust -d 'Ignore missing app errors'
complete -c infat -n '_swift_infat_using_command infat init' -f -s h -l help -d 'Show help information.'
